# Accounts Webhooks - **OpenAPI Version:** `3.1.1` - **API Version:** `1.0.0` The Zoom Account webhooks allow developers to receive events related to accounts and information barriers. ## Servers - **URL:** `https://{your-endpoint-url}` ## Operations ### account.vanity\_url\_rejected - **Method:** `POST` - **Path:** `account.vanity_url_rejected` - **Tags:** Accounts The **Account vanity url rejected** event is triggered each time an account or subaccount's [vanity URL](https://support.zoom.us/hc/en-us/articles/215062646) is rejected. ## Prerequisites - A Pro or higher [plan](https://zoom.us/pricing) with the **Master account** option enabled. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL** - The **Account's vanity url rejected** subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the account's owner. - **`object` (required)** `object` — Information about the account's rejected vanity URL. - **`id` (required)** `string` — The account's ID. - **`vanity_url` (required)** `string` — The rejected \[vanity URL]\(https\://support.zoom.us/hc/en-us/articles/215062646-Guidelines-for-Vanity-URL-requests). - **`operator` (required)** `string`, format: `email` — The email address of the user who rejected the account's vanity URL. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "object": { "id": "", "vanity_url": "" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### account.created - **Method:** `POST` - **Path:** `account.created` - **Tags:** Accounts The **Sub Account has been created** event is triggered every time one of your app users or account users creates a sub account. A Master account administrator or an account owner can create sub accounts under the Master account. A sub account can be created either by using the [**Create a Sub Account**](/api-reference/zoom-api/ma#operation/accountCreate) API or by logging into the [Zoom Web Portal](https://zoom.us) and navigating to the [**Add Sub Account**](https://zoom.us/account/sub/add) page. ## Prerequisites - A Pro or higher [plan](https://zoom.us/pricing) with the **Master account** option enabled. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL**. - The **Sub Account has been created** subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_ts`** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The account ID of the account's owner. - **`object`** `object` — Information about the created account. - **`email`** `string`, format: `email` — The account email address. - **`id`** `string` — The account's ID. - **`owner_id`** `string` — The account owner's ID. - **`operator`** `string`, format: `email` — The email address of the user who created the account. - **`operator_id`** `string` — The user ID of the user who created the account. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "owner_id": "", "email": "" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### information\_barriers.policy\_deleted - **Method:** `POST` - **Path:** `information_barriers.policy_deleted` - **Tags:** Information Barriers The **Information barriers policy has been deleted** event is triggered when using an API or web page to delete an [information barrier](https://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers). An account owner or admin can create information barrier policies. Delete an information barrier policy either by using the Remove an information barrier policy API, or by logging into the [Zoom Web Portal](https://zoom.us) and navigating to the [**Information barrier**](https://zoom.us/account/information_barriers) page. ## Prerequisites - To enable information barriers for your account, [contact Zoom Support](https://support.zoom.us/hc/en-us/articles/201362003). #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the policy. - **`object` (required)** `object` — An \[information barrier's]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers) policies and its information. - **`assigned_group_id` (required)** `string` — The assigner group's (Group 1) ID. - **`id` (required)** `string` — The information barrier's policy's ID. - **`policy_name` (required)** `string` — The information barrier's policy's name. - **`settings` (required)** `object` — The information barriers policy's settings. \* If the \`meeting\` setting is \`true\`, then a \[hard block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists between both groups. \* If the \`meeting\` setting is \`false\` but the \`screen\_share\`, \`file\_transfer\`, \`in\_meeting\_chat\`, \`im\`, and/or \`recording\` settings are \`true\`, then a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists between both groups. - **`complete_phone_calls` (required)** `boolean` — If true, users between groups \*\*cannot\*\* call each other. - **`file_transfer` (required)** `boolean` — If true, users between groups \*\*cannot\*\* transfer files in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`im` (required)** `boolean` — If true, users between groups \*\*cannot\*\* IM chat. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`in_meeting_chat` (required)** `boolean` — If true, users between groups \*\*cannot\*\* use chat in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`meeting` (required)** `boolean` — If true, the users between groups \*\*cannot\*\* meet. This also creates a \[hard block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups. - **`message_via_sms` (required)** `boolean` — If true, users between groups \*\*cannot\*\* user SMS. - **`recording` (required)** `boolean` — If true, users between groups \*\*cannot\*\* record the meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. This feature is only available for Zoom Client v5.6.0 and higher. - **`screen_share` (required)** `boolean` — If true, users between groups \*\*cannot\*\* share screens in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`status` (required)** `integer`, possible values: `0, 1` — The information barrier's policy's status: \* \`0\` — Disabled. \* \`1\` — Enabled. - **`to_group_id` (required)** `string` — The assignee group's (Group 2) ID. - **`type` (required)** `integer`, possible values: `0, 1, 2, 3`, default: `0` — The information barrier's policy's type of \`settings\` restrictions: \* \`0\` — A \[hard or soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists, but users in Group 1 and Group 2 can chat with each other. \* \`1\` — A \[hard or soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists and only users in Group 1 can chat with users in Group 2. \* \`2\` — No blocks exist, but only users in Group 1 can chat with users in Group 2. \* \`3\` — No blocks exist and users in Group 1 and Group 2 can chat with each other. This field only supports \`0\`. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "assigned_group_id": "", "id": "", "policy_name": "", "settings": { "complete_phone_calls": true, "file_transfer": true, "im": true, "in_meeting_chat": true, "meeting": true, "message_via_sms": true, "recording": true, "screen_share": true }, "status": 1, "to_group_id": "mjLMOSAERBaakF8kSDWB7g", "type": 1 } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### account.updated - **Method:** `POST` - **Path:** `account.updated` - **Tags:** Accounts The **Account/Sub Account's profile has been updated** event is triggered every time the [profile](https://zoom.us/account) of an account or a sub account is updated. An account owner or a user with administrator privileges can update a Zoom account's profile. The account profile can be updated by logging into the [Zoom Web Portal](https://zoom.us/) and editing fields in the [**Account Profile**](https://zoom.us/account) interface. The account must belong to you or a user of your [webhook-enabled](https://marketplace.zoom.us/docs/api-reference/webhook-reference#enable-webhooks) app. ## Prerequisites - A Pro or higher [plan](https://zoom.us/pricing). - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL**. - The **Account/Sub Account's profile has been updated** subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_ts`** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The account ID of the account's owner. - **`object`** `object` — Information about the updated account. - **`account_alias`** `string` — The account's updated alias. - **`account_name`** `string` — The account's updated name. - **`account_support_email`** `string`, format: `email` — The account's updated email address for account support. - **`account_support_name`** `string` — The account's updated name for account support. - **`id`** `string` — The account's ID. - **`managed_domains`** `array` — The account's updated managed domains. **Items:** `string` - **`old_object`** `object` — Information about the account's previous profile settings. - **`$changed_field_name`** `string` — The updated field name and its previous value. - **`operation`** `string`, possible values: `"apply_vanity_url", "managed_domains_added", "managed_domains_deleted", "managed_domains_verifying"` — This field only returns for the following operations: \* \`apply\_vanity\_url\` \* \`managed\_domains\_added\` \* \`managed\_domains\_deleted\` \* \`managed\_domains\_verifying\` - **`operator`** `string`, format: `email` — The email address of the user who updated the account. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operation": "apply_vanity_url", "object": { "id": "", "account_name": "", "account_alias": "", "account_support_name": "", "account_support_email": "", "managed_domains": [ "" ] }, "old_object": { "$changed_field_name": "" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### information\_barriers.policy\_created - **Method:** `POST` - **Path:** `information_barriers.policy_created` - **Tags:** Information Barriers The **Information barriers policy has been created** event is triggered when using an API or web page to add an [information barrier](https://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers). An account owner or admin can create information barrier policies. Create an information barrier policy either by using the Create an information barrier policy API, or by logging into the [Zoom Web Portal](https://zoom.us) and navigating to the [**Information barrier**](https://zoom.us/account/information_barriers) page. ## Prerequisites - To enable information barriers for your account, [contact Zoom Support](https://support.zoom.us/hc/en-us/articles/201362003). #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who created the policy. - **`object` (required)** `object` — An \[information barrier's]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers) policies and its information. - **`assigned_group_id` (required)** `string` — The assigner group's (Group 1) ID. - **`id` (required)** `string` — The information barrier's policy's ID. - **`policy_name` (required)** `string` — The information barrier's policy's name. - **`settings` (required)** `object` — The information barrier's policy's settings. \* If the \`meeting\` setting is \`true\`, then a \[hard block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists between both groups. \* If the \`meeting\` setting is \`false\` but the \`screen\_share\`, \`file\_transfer\`, \`in\_meeting\_chat\`, \`im\`, and/or \`recording\` settings are \`true\`, then a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists between both groups. - **`complete_phone_calls` (required)** `boolean` — If true, users between groups \*\*cannot\*\* call each other. - **`file_transfer` (required)** `boolean` — If true, users between groups \*\*cannot\*\* transfer files in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`im` (required)** `boolean` — If true, users between groups \*\*cannot\*\* IM chat. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`in_meeting_chat` (required)** `boolean` — If true, users between groups \*\*cannot\*\* use chat in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`meeting` (required)** `boolean` — If true, the users between groups \*\*cannot\*\* meet. This also creates a \[hard block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups. - **`message_via_sms` (required)** `boolean` — If true, users between groups \*\*cannot\*\* user SMS. - **`recording` (required)** `boolean` — If true, users between groups \*\*cannot\*\* record the meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. This feature is only available for Zoom Client v5.6.0 and higher. - **`screen_share` (required)** `boolean` — If true, users between groups \*\*cannot\*\* share screens in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`status` (required)** `integer`, possible values: `0, 1` — The information barrier's policy's status: \* \`0\` — Disabled. \* \`1\` — Enabled. - **`to_group_id` (required)** `string` — The assignee group's (Group 2) ID. - **`type` (required)** `integer`, possible values: `0, 1, 2, 3`, default: `0` — The information barrier's policy's type of \`settings\` restrictions: \* \`0\` — A \[hard or soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists, but users in Group 1 and Group 2 can chat with each other. \* \`1\` — A \[hard or soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists and only users in Group 1 can chat with users in Group 2. \* \`2\` — No blocks exist, but only users in Group 1 can chat with users in Group 2. \* \`3\` — No blocks exist and users in Group 1 and Group 2 can chat with each other. This field only supports \`0\`. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "assigned_group_id": "", "id": "", "policy_name": "", "settings": { "complete_phone_calls": true, "file_transfer": true, "im": true, "in_meeting_chat": true, "meeting": true, "message_via_sms": true, "recording": true, "screen_share": true }, "status": 1, "to_group_id": "mjLMOSAERBaakF8kSDWB7g", "type": 1 } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### account.lock\_settings\_updated - **Method:** `POST` - **Path:** `account.lock_settings_updated` - **Tags:** Accounts Zoom triggers this event when an account or a sub account enables or disables a lock for a [setting](https://zoom.us/account/setting). The account must belong to either you or a user of your [webhook-enabled](https://marketplace.zoom.us/docs/api-reference/webhook-reference#enable-webhooks) app. Account owners or users with admin privileges can [manually update](https://support.zoom.us/hc/en-us/articles/201363253-Account-Settings#h_419c57b8-0d83-4ff3-8910-3e5dfb7be3a0) account lock settings from the [Zoom Web Portal](https://zoom.us/), or by using the [Update Settings](/api-reference/zoom-api/ma#operation/updateAccountLockSettings) API. ## Prerequisites To receive notifications for this event, you must meet the following prerequisites. - A Pro or higher plan. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL**. - The "**Account settings lock status updated**" subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_ts`** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The account ID of the account's owner. - **`object`** `object` — Information about the updated fields. - **`id`** `string` — The updated account's ID. - **`settings`** `object` — Information about the account's updated lock settings. - **`ai`** `object` — Lock settings for Workspace Reservation recommendations with AI. - **`ai_generated_virtual_backgrounds`** `boolean` — Whether the ai\_generated\_virtual\_backgrounds setting is locked. - **`ai_panel_in_workplace`** `object` — Lock settings for the AI panel in Zoom Workplace. - **`delete_ai_conversation`** `boolean` — Whether automatic AI conversation deletion in the AI panel is locked. - **`delete_ai_conversation_time`** `boolean` — Whether the AI panel conversation retention period is locked. - **`enabled`** `boolean` — Whether the AI panel in Zoom Workplace is locked. - **`canvas_ai_content_generation`** `boolean` — Whether the Canvas AI content generation and revision setting is locked. - **`canvas_ai_post_meeting_writing_tasks`** `boolean` — Whether the Canvas post-meeting writing task setting is locked. - **`canvas_ai_sentence_completion`** `boolean` — Whether the Canvas AI sentence completion setting is locked. - **`chat_compose`** `boolean` — Compose with AI Companion. - **`chat_summary`** `boolean` — Summarize with AI Companion. - **`enable_ai_on_web`** `boolean` — Whether Zoom AI on the web is locked. - **`enable_email_compose_with_ai`** `boolean` — Whether Zoom Mail AI compose is locked. - **`full_display_names_in_ai_assets`** `boolean` — Whether the full\_display\_names\_in\_ai\_assets setting is locked. - **`google`** `object` — Lock settings for Google data sources. - **`enable`** `boolean` — Whether Google data sources are locked. - **`hub_ai_question_and_file_creation`** `boolean` — Whether the Hub AI search and file creation setting is locked. - **`include_webinar_summary_follow_up_email`** `object` — Lock settings for including the webinar summary in follow-up email. - **`enable`** `boolean` — Whether including the webinar summary in follow-up email is locked. - **`local_file_uploads`** `boolean` — Whether Local file uploads as an AI data source are locked. - **`meeting_agenda`** `boolean` — Whether the meeting\_agenda setting is locked. - **`meeting_chat_messages`** `boolean` — Whether the meeting\_chat\_messages setting is locked. - **`meeting_coach`** `object` — Lock settings for Meeting Coach with AI. - **`enable`** `boolean` — Whether Meeting Coach with AI is locked. - **`meeting_questions`** `object` — Lock settings for meeting questions. - **`auto_enable_locked`** `boolean` — Whether automatic meeting questions are locked. - **`locked`** `boolean` — Whether meeting questions are locked. - **`who_can_ask_questions_locked`** `boolean` — Whether the meeting questions participant scope is locked. - **`meeting_summary`** `object` — Lock settings for meeting summaries. - **`auto_enable_locked`** `boolean` — Whether automatic meeting summaries are locked. - **`locked`** `boolean` — Whether meeting summaries are locked. - **`who_will_receive_summary_locked`** `boolean` — Whether the meeting summary recipient scope is locked. - **`meeting_summary_default_language`** `object` — Lock settings for the default meeting summary language. - **`enable`** `boolean` — Whether the default meeting summary language is locked. - **`meeting_summary_docs`** `object` — Lock settings for meeting summary Docs. - **`enable`** `boolean` — Whether automatic Zoom Doc creation is locked. - **`share_with_summary_recipients`** `boolean` — Whether sharing generated Zoom Docs with meeting summary recipients is locked. - **`meeting_summary_email_only_mode`** `boolean` — Whether the meeting\_summary\_email\_only\_mode setting is locked. - **`meeting_summary_ip_access`** `object` — Lock settings for meeting summary IP access. - **`enable`** `boolean` — Whether meeting summary IP access is locked. - **`meeting_summary_retention`** `object` — Lock settings for meeting summary retention. - **`enable`** `boolean` — Whether automatic meeting summary deletion is locked. - **`meeting_summary_template`** `object` — Lock settings for meeting summary templates. - **`enable`** `boolean` — Whether meeting summary templates are locked. - **`microsoft_365`** `object` — Lock settings for Microsoft 365 data sources. - **`enable`** `boolean` — Whether Microsoft 365 data sources are locked. - **`my_notes_ai_content_generation`** `boolean` — Whether the My Notes AI content generation setting is locked. - **`my_notes_meeting_transcription`** `boolean` — Whether the My Notes meeting transcription setting is locked. - **`organization_custom_dictionaries`** `boolean` — Whether allowing AI to consume the organization's custom dictionaries is locked. - **`paper_ai_content_generation`** `boolean` — Whether the Zoom Paper AI content generation and revision setting is locked. - **`participant_can_request_aic_in_meeting`** `boolean` — Whether the participant\_can\_request\_aic\_in\_meeting setting is locked. - **`phone_user_ai_notices`** `object` — Lock settings for phone user AI notices. - **`enable`** `boolean` — Whether phone user AI notices are locked. - **`remind_me_turn_on_aic`** `boolean` — Whether the remind\_me\_turn\_on\_aic setting is locked. - **`remind_me_turn_on_catch_me_up`** `boolean` — Whether the remind\_me\_turn\_on\_catch\_me\_up setting is locked. - **`restrict_aic_when_external_user_join_meeting`** `boolean` — Whether the restrict\_aic\_when\_external\_user\_join\_meeting setting is locked. - **`restrict_aic_when_restrict_user_join`** `boolean` — Whether the restrict\_aic\_when\_restrict\_user\_join setting is locked. - **`restrict_users_from_deleting_ai_companion_assets`** `boolean` — Whether the restrict\_users\_from\_deleting\_ai\_companion\_assets setting is locked. - **`restrict_users_from_editing_ai_companion_assets`** `boolean` — Whether the restrict\_users\_from\_editing\_ai\_companion\_assets setting is locked. - **`restrict_users_from_joining_ai_enabled_meetings`** `object` — Lock settings for restrictions on joining AI-enabled meetings. - **`enable`** `boolean` — Whether restrictions on joining AI-enabled meetings are locked. - **`screen_share_ocr`** `boolean` — Whether the screen\_share\_ocr setting is locked. - **`sheets_ai_content_generation`** `boolean` — Whether the Zoom Sheets AI content generation and revision setting is locked. - **`sheets_ai_formula`** `boolean` — Whether the Zoom Sheets AI Formula setting is locked. - **`sheets_ai_function`** `boolean` — Whether the Zoom Sheets AI Function setting is locked. - **`sheets_ai_resources`** `boolean` — Whether the Zoom Sheets AI Resources setting is locked. - **`show_conversational_ai_companion`** `object` — Lock settings for the conversational AI companion. - **`delete_ai_conversation`** `boolean` — Whether automatic AI conversation deletion is locked. - **`delete_ai_conversation_time`** `boolean` — Whether the AI conversation retention period is locked. - **`enable_zoom_mate`** `boolean` — Whether ZoomMate availability is locked. - **`enabled`** `boolean` — Whether conversational AI is locked. - **`slides_ai_content_generation`** `boolean` — Whether the Zoom Slides AI content generation and revision setting is locked. - **`smart_recording`** `object` — Lock settings for Smart Recording. - **`enable`** `boolean` — Whether the Smart Recording is locked. - **`task_creation_and_management`** `object` — Lock settings for task creation and management with AI. - **`enable`** `boolean` — Whether task creation and management with AI is locked. - **`third_party_app_tasks`** `boolean` — Whether allowing AI to perform tasks in third-party apps is locked. - **`third_party_meeting_join`** `object` — Lock settings for third-party meeting join with AI. - **`allow_recording`** `boolean` — Whether recording for joined third-party meetings is locked. - **`calendar`** `object` — Lock settings for calendar-based third-party meeting join. - **`enable`** `boolean` — Whether calendar-based third-party meeting join is locked. - **`enable`** `boolean` — Whether third-party meeting join with AI is locked. - **`pre_meeting_email_notification`** `object` — Lock settings for pre-meeting email notification. - **`enable`** `boolean` — Whether pre-meeting email notification is locked. - **`web_content`** `boolean` — Whether Web content as an AI data source is locked. - **`webinar_questions`** `object` — During the webinar, answers are based on speech-to-text data. If a transcript is retained, participants with access can ask questions after the webinar based on that transcript. The nested Boolean properties indicate whether the corresponding setting is locked. - **`auto_enable`** `boolean` — Whether automatically allowing access when the webinar starts is locked. - **`enable`** `boolean` — Whether allowing users to ask webinar questions with AI is locked. - **`who_can_ask_questions`** `boolean` — Who can ask questions about the webinar. The corresponding setting values are \`panelist\_all\` (Hosts and all panelists), \`panelist\_org\` (Hosts and all panelists in the organization), \`host\` (Only webinar host, co-hosts, and alternative hosts), and \`all\_participants\` (All participants). The Boolean indicates whether this setting is locked. - **`webinar_summary`** `object` — Allow hosts to generate a summary. Summaries are sent after the webinar ends based on sharing permissions. The nested Boolean properties indicate whether the corresponding setting is locked. - **`auto_enable`** `boolean` — Whether turning on webinar summary automatically when the webinar starts is locked. - **`email_notification`** `boolean` — Whether sending an email notification when sharing to participants is locked. - **`enable`** `boolean` — Whether allowing hosts to generate a summary is locked. - **`restrict_share_to_outside_of_organization`** `boolean` — Whether restricting users from sharing summaries to those outside of the organization is locked. - **`who_will_receive_summary`** `boolean` — Who will automatically receive the summary. The corresponding setting values are \`host\` (Only webinar host), \`host\_and\_panelist\_in\_organization\` (Only webinar host, co-hosts, and panelists in the organization), and \`host\_and\_panelist\_not\_in\_organization\` (Webinar host, co-hosts, and all panelists, including those outside the organization). The Boolean indicates whether this setting is locked. - **`webinar_summary_follow_up_email`** `boolean` — Whether webinar summaries are included in webinar follow-up email. Deprecated. Use \`include\_webinar\_summary\_follow\_up\_email\`. The Boolean indicates whether this setting is locked. - **`webinar_summary_ocr`** `boolean` — Whether using screen share content with OCR for webinar summaries is locked. - **`whiteboard_content_generation`** `boolean` — Whether Whiteboard content generation with AI is enabled. - **`workspace_reservation_recommendations_with_ai`** `object` — Lock settings for Workspace Reservation recommendations with AI. - **`enabled`** `boolean` — Whether Workspace Reservation recommendations with AI are locked. - **`zoom_events_chat_panel`** `boolean` — Whether the AI chat panel in Zoom Events is locked. - **`zoom_events_session_summary`** `object` — Lock settings for Zoom Events session summary. - **`auto_start`** `boolean` — Whether turning on session summary automatically when sessions start is locked. - **`enable`** `boolean` — Whether Zoom Events session summaries are locked. - **`audio_conferencing`** `object` — Account Audio Conference Settings - **`call_me_and_invite_by_phone`** `boolean` — Whether the account has the \[\*\*Call Me and Invite by Phone\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067414#h\_01F53VFZMDP4EJAF772N7NG2KY) setting enabled. - **`participant_phone_masking`** `boolean` — Whether the account has the \[\*\*Mask phone number in the participant list\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067881#h\_01F5K5GT9P563K751K3JNAYE6E) setting enabled. - **`personal_audio_conference`** `boolean` — Whether the account has the \[\*\*Personal Audio Conference\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0060449#h\_01F5BPMEB7GK6XXPKHDBHYFF27) setting enabled. - **`toll_call`** `boolean` — Whether the account has the \[\*\*Toll Call\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0066909#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`toll_free_and_fee_based_toll_call`** `boolean` — Whether the account has the \[\*\*Toll-free and Fee-based Toll Call\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`chat`** `object` - **`ai_compose`** `boolean` — Compose with AI Companion. - **`ai_quick_schedule`** `boolean` — Quick schedule with AI Companion. - **`ai_recommend`** `boolean` — Chat Recommendation with Zoom AI Companion. - **`ai_reply`** `boolean` — Quick reply with AI Companion. - **`ai_sentence_completion`** `boolean` — Sentence completion with AI Companion. - **`ai_summary`** `boolean` — Summarize with AI Companion. - **`allow_create_channels_and_group_chats`** `boolean` — Whether to allow users to create channels and group chats. - **`allow_delete_message`** `boolean` — Whether to allow users to delete messages. - **`allow_edit_message`** `boolean` — Whether to allow users to edit messages. - **`allow_huddles_from_channels`** `boolean` — Whether to allow huddles from channels. - **`allow_users_to_add_contacts`** `boolean` — Whether to allow users to add contacts. - **`allow_users_to_chat_with_others`** `boolean` — Whether to Allow users to chat with others. - **`chat_email_address`** `boolean` — Chat email address. - **`chat_emojis`** `boolean` — Allow users to use the emoji library in direct messages or group conversations. Choose between allowing users to use any emoji in the library, or choose to allow only pre-selected emojis. If the setting is disabled, users can still use keyboard shortcuts to add emojis. Users can change their emoji skin tone in Settings. - **`chat_etiquette_tool`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`download_file`** `boolean` — Whether to allow users to downloading files. - **`presence_away_when_screen_saver`** `boolean` — Change my status to away when screen saver begins. - **`presence_on_meeting`** `boolean` — Change my presence status when I am in a meeting or call. - **`read_receipts`** `boolean` — Whether to enable read receipts. - **`record_video_messages`** `boolean` — Allow users to record video messages that can be sent in direct messages or group conversations. If the file share setting is disabled, they will not be able to record and send video messages. - **`record_voice_messages`** `boolean` — Allow users to record voice messages that can be sent in direct messages or group conversations. - **`schedule_meetings_in_chat`** `boolean` — Schedule a meeting from chat or channel. - **`screen_capture`** `boolean` — Allow users to take and send screenshots in direct messages or group conversations. - **`search_and_send_animated_gif_images`** `boolean` — Whether to allow users to search GIF images from GIPHY when they compose messages. - **`send_data_to_third_party_archiving_service`** `boolean` — Whether to send data to third-party archiving service. - **`set_retention_period_in_cloud`** `boolean` — Store messages in Zoom's cloud. - **`set_retention_period_in_local`** `boolean` — Set retention period for messages on local devices. - **`share_files`** `boolean` — Users can share files in chats and channels. - **`share_links_in_chat`** `boolean` — Share links to messages and channels in Team Chat. - **`share_screen_in_chat`** `boolean` — Whether to allow users to share screen in chat. - **`shared_spaces`** `boolean` — Whether to allow users to create Shared Spaces. - **`survey_poll`** `boolean` — Allow users to launch a poll in chats and channels. - **`translate_messages`** `boolean` — Allow users to translate team chat messages. \[Learn more].(https\://support.zoom.us/hc/en-us/articles/12998089084685) - **`email_notification`** `object` - **`alternative_host_reminder`** `boolean` — Notify the alternative host who is set or removed. - **`cancel_meeting_reminder`** `boolean` — Notify host and participants when the meeting is cancelled. - **`cloud_recording_available_reminder`** `boolean` — Whether to notify the host when a cloud recording is available. - **`jbh_reminder`** `boolean` — Notify host when participants join the meeting before them. - **`schedule_for_reminder`** `boolean` — Notify the host there is a meeting is scheduled, rescheduled, or cancelled. - **`h323sip_conferencing`** `object` — The account's H.323/SIP Conferencing settings. - **`custom_welcome_audio`** `object` — Information about the custom welcome audio message played to H.323/SIP devices upon joining a Zoom Meeting. - **`enable`** `boolean`, default: `false` — Determines if a custom welcome audio message is played when H.323/SIP devices join a Zoom Meeting. - **`in_meeting`** `object` - **`alert_guest_join`** `boolean` — Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting or webinar. - **`allow_live_streaming`** `boolean` — Whether to allow livestreaming. - **`allow_show_zoom_windows`** `boolean` — Show Zoom windows during screen share. - **`allow_users_to_delete_messages_in_meeting_chat`** `boolean` — If the value of this field is set to \`true\`, allow users to delete messages in the in-meeting chat. - **`annotation`** `boolean` — Allow participants to use annotation tools to add information to shared screens. - **`anonymous_question_answer`** `boolean` - **`attendee_on_hold`** `boolean`, default: `false` — Allow host to put attendee on hold. \*\*This field has been deprecated and is no longer supported.\*\* - **`attention_mode_focus_mode`** `boolean`, default: `false` — Whether to enable the \[\*\*Focus Mode\*\*]\(https\://support.zoom.us/hc/en-us/articles/360061113751-Using-focus-mode) feature. When enabled, this feature only displays the host and co-hosts' video and profile pictures during a meeting. This value defaults to \`false\`. - **`auto_answer`** `boolean` — Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered. - **`auto_generated_captions`** `boolean` — Whether to enable Zoom's \[live transcription feature]\(https\://support.zoom.us/hc/en-us/articles/207279736-Managing-closed-captioning-and-live-transcription#h\_01FHGGHYJ4457H4GSZY0KM3NSB). - **`auto_saving_chat`** `boolean` — Automatically save all in-meeting chats. - **`breakout_room`** `boolean` — Allow host to split meeting participants into separate, smaller rooms. - **`chat`** `boolean` — Allow meeting participants to send chat message visible to all participants. - **`closed_caption`** `boolean` — Allow host to type closed captions or assign a participant/third party device to add closed captions. - **`co_host`** `boolean` — Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host. - **`custom_data_center_regions`** `boolean` — Displays whether or not custom \[data center regions]\(https\://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) have been selected for meetings/webinars hosted by the account. - **`disable_screen_sharing_for_host_meetings`** `boolean` — Whether to enable the \*\*Disable desktop screen sharing for meetings you host\*\* setting. - **`disable_screen_sharing_for_in_meeting_guests`** `boolean` — Whether to enable the \*\*Disable screen sharing when guests are in the meeting\*\* setting. - **`dscp_marking`** `boolean` — Enable DSCP marking for signaling and media packets. (Default is 56 for audio, 40 for video, and 40 for signaling.) - **`e2e_encryption`** `boolean` — Require that all meetings are encrypted using AES. - **`far_end_camera_control`** `boolean` — Allow another user to take control of the camera during a meeting. - **`feedback`** `boolean` — Enable users to provide feedback to Zoom at the end of the meeting. - **`file_transfer`** `boolean` — Indicates whether \[in-meeting file transfer]\(https\://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for all users on the account or not. - **`full_transcript`** `boolean` — Whether full transcripts are available for viewing in the in-meeting side panel. - **`group_hd`** `boolean` — Enable higher quality video for host and participants. This will require more bandwidth. - **`language_interpretation`** `boolean` — Whether hosts can assign participants as interpreters to interpret one language into another in real-time. - **`manual_captions`** `boolean` — Whether to enable manual closed captioning. When \[enabled]\(https\://support.zoom.us/hc/en-us/articles/207279736-Managing-closed-captioning-and-live-transcription), the host or assigned participant can provide manual captioning or a \[3rd-party device]\(https\://support.zoom.us/hc/en-us/articles/115002212983) can be assigned to provide captioning. - **`meeting_question_answer`** `boolean` — Allow participants to ask questions for the host and participants to answer. - **`meeting_reactions`** `boolean` — Whether meeting participants can \[communicate using the emoji reactions]\(https\://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions) located in the \*\*Reactions\*\* menu in the meeting toolbar. - **`meeting_survey`** `boolean` — Whether the host can present a survey to participants once a meeting has ended. This feature is only available in version 5.7.3 or higher. - **`non_verbal_feedback`** `boolean`, default: `false` — Whether to enable the \[\*\*Non-verbal feedback\*\*]\(https\://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions-) setting. This value defaults to \`false\`. - **`original_audio`** `boolean` — Allow users to select original sound during a meeting. - **`polling`** `boolean` — Add 'Polls' to the meeting controls. This allows the host to survey the attendees. - **`post_meeting_feedback`** `boolean` — Display end-of-meeting experience feedback survey. - **`private_chat`** `boolean` — Allow meeting participants to send a private 1:1 message to another participant. - **`remote_control`** `boolean` — During screen sharing, allow the person who is sharing to let others control the shared content. - **`remote_support`** `boolean`, default: `false` — Whether to enable the \[\*\*Remote support\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060951012-Enabling-remote-support) setting. This value defaults to \`false\`. - **`request_permission_to_unmute_participants`** `boolean` — Whether to enable the \[\*\*Request permission to unmute participants\*\*]\(https\://support.zoom.us/hc/en-us/articles/203435537-Muting-and-unmuting-participants-in-a-meeting) setting. - **`save_caption`** `boolean` — Whether participants can save closed captions or transcripts. - **`save_captions`** `boolean` — Whether participants can \[save closed caption or transcripts]\(https\://support.zoom.us/hc/en-us/articles/360060958752). \*\*Note:\*\* If the \`full\_transcript\` field is set to \`false\`, participants \*\*cannot\*\* save captions. - **`screen_sharing`** `boolean` — Allow host and participants to share their screen or content during meetings. - **`sending_default_email_invites`** `boolean` — Allow users to invite participants by email only by default. - **`show_meeting_control_toolbar`** `boolean` — Always show meeting controls during a meeting. - **`sign_language_interpretation`** `boolean` — Allow hosts to assign participants as sign language interpreters who can interpret one language into sign language in real-time. Hosts can assign interpreters when scheduling, or during the meeting itself. This feature is only available with version 5.11.3 or later. - **`slide_control`** `boolean` — Whether the person sharing during a presentation can allow others to control the slide presentation. This feature is only available in version 5.8.3 or higher. - **`stereo_audio`** `boolean` — Allow users to select stereo audio during a meeting. - **`use_html_format_email`** `boolean` — Allow HTML formatting instead of plain text for meeting invitations scheduled with the Outlook plugin. - **`virtual_background`** `boolean` — Enable virtual background. - **`webinar_chat`** `boolean` — Whether to allow webinar participants to send chat messages. - **`webinar_live_streaming`** `boolean` — Whether to enable webinar livestreaming. - **`webinar_polling`** `boolean` — Whether the host can add polls before or during a webinar. - **`webinar_question_answer`** `boolean` — Whether attendees can ask the host and panelists questions in the webinar. - **`webinar_reactions`** `boolean` — Set this field to true to use \[webinar reactions]\(https\://support.zoom.us/hc/en-us/articles/4803536268429). - **`webinar_survey`** `boolean` — Whether the host can present surveys to attendees once a webinar has ended. - **`whiteboard`** `boolean` — Allow participants to share a whiteboard that includes annotation tools. - **`meeting_security`** `object` - **`approved_or_denied_countries_or_regions`** `boolean` — Whether to enable the \[\*\*Approve or block entry for users from specific countries/regions\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060086231-Joining-from-specific-countries-regions) setting. - **`auto_security`** `boolean` — Whether all meetings must be secured with at least one security option. This setting can only be disabled by Enterprise, ISV, Business (with more than 100 licenses), and Education accounts. - **`block_user_domain`** `boolean` — Whether users in specific domains are blocked from joining meetings and webinars. - **`chat_etiquette_tool`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`embed_password_in_join_link`** `boolean` — Whether the meeting password is encrypted and included in the invitation link. The provided link will allow participants to join the meeting without having to enter the password. - **`encryption_type`** `boolean` — Whether use encryption to start a meeting. - **`end_to_end_encrypted_meetings`** `boolean` — Whether to enable end-to-end encryption for meetings. - **`meeting_password`** `boolean` — Whether all instant and scheduled meetings that users can join via client or Zoom Rooms systems are password-protected. \[Personal Meeting ID (PMI)]\(https\://support.zoom.us/hc/en-us/articles/203276937) meetings are \*\*not\*\* included in this setting. - **`only_authenticated_can_join_from_webclient`** `boolean` — Whether to specify that only authenticated users can join the meeting from the web client. - **`phone_password`** `boolean` — Whether passwords are required for participants joining by phone. If enabled and the meeting is password-protected, a numeric password is required for participants to join by phone. For meetings with alphanumeric passwords, a numeric password will be generated. - **`pmi_password`** `boolean` — Whether all Personal Meeting ID (PMI) meetings that users can join via client or Zoom Rooms systems are password-protected. - **`waiting_room`** `boolean` — Whether participants are placed in the \[\*\*Waiting Room\*\*]\(https\://support.zoom.us/hc/en-us/articles/115000332726-Waiting-Room) when they join a meeting. If the \*\*Waiting Room\*\* feature is enabled, the \[\*\*Allow participants to join before host\*\*]\(https\://support.zoom.us/hc/en-us/articles/202828525-Allow-participants-to-join-before-host) setting is automatically disabled. - **`webinar_password`** `boolean` — Whether to generate a password when scheduling webinars. Participants must use the generated password to join the scheduled webinar. - **`other_options`** `object` - **`blur_snapshot`** `boolean` — If true, iOS blurs the screenshot in the task switcher when multiple apps are open. Android hides the screenshot in the system-level list of recent apps. - **`webinar_registration_options`** `boolean` — Webinar registration options. - **`recording`** `object` - **`account_user_access_recording`** `boolean` — Make cloud recordings accessible to account members only. - **`archive`** `boolean` — \[Archiving solution]\(https\://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) settings. This setting can only be used if you have been granted archiving solution access by the Zoom support team. - **`auto_delete_cmr`** `boolean` — Allow Zoom to automatically delete recordings permanently after a specified number of days. - **`auto_recording`** `boolean` — Record meetings automatically as they start. - **`cloud_recording`** `boolean` — Allow hosts to record and save the meeting / webinar in the cloud. - **`cloud_recording_download`** `boolean` — Allow anyone with a link to the cloud recording to download. - **`host_delete_cloud_recording`** `boolean` — Allow the host to delete the recordings. If this option is disabled, the recordings cannot be deleted by the host and only admin can delete them. - **`ip_address_access_control`** `boolean` — Setting to allow cloud recording access only from specific IP address ranges. - **`local_recording`** `boolean` — Allow hosts and participants to record the meeting to a local file. - **`recording_authentication`** `boolean` — Only authenticated users can view cloud recordings - **`schedule_meeting`** `object` - **`always_display_zoom_webinar_as_topic`** `boolean` — Whether to enable the \[\*\*Always show "Zoom Webinar" as the webinar topic\*\*]\(https\://support.zoom.us/hc/en-us/articles/201363253-Changing-account-settings#h\_01EG9BJ646V2WJK1S3H2MP6YV6) setting. - **`audio_type`** `boolean` — Determine how participants can join the audio portion of the meeting. - **`embed_password_in_join_link`** `boolean` — If the value is set to \`true\`, the meeting password will be encrypted and included in the join meeting link to allow participants to join with just one click without having to enter the password. - **`enforce_login`** `boolean` — Allow only signed-in users to join meetings. - **`enforce_login_with_domains`** `boolean` — Allow only signed-in users with specified domains to join meetings. - **`host_video`** `boolean` — Start meetings with host video on. - **`join_before_host`** `boolean` — Allow participants to join the meeting before the host arrives - **`meeting_authentication`** `boolean` — Only authenticated users can join meetings - **`meeting_template`** `boolean` — Whether to enable the \*\*Meeting Templates\*\* setting. - **`not_store_meeting_topic`** `boolean` — Whether to enable the \[\*\*Always display "Zoom Meeting" as the meeting topic\*\*]\(https\://support.zoom.us/hc/en-us/articles/201363253-Changing-account-settings#h\_01EG9BJ646V2WJK1S3H2MP6YV6) setting. - **`participant_video`** `boolean` — Start meetings with participant video on. - **`require_password_for_instant_meetings`** `boolean` — Require password for instant meetings. If you use a PMI for your instant meetings, this option will be disabled. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`require_password_for_pmi_meetings`** `boolean` — Require participants to enter password for PMI meetings. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`require_password_for_scheduling_new_meetings`** `boolean` — This setting applies for regular meetings that do not use a PMI. If enabled, a password will be generated while a host schedules a new meeting and participants will be required to enter the password before they can join the meeting. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`use_pmi_for_instant_meetings`** `boolean` — Use a Personal Meeting ID (PMI) when starting an instant meeting. - **`use_pmi_for_scheduled_meetings`** `boolean` — Use a Personal Meeting ID (PMI) when scheduling a meeting. - **`telephony`** `object` — Account Settings: Telephony. - **`telephony_regions`** `boolean` — Indicates where most of the participants call into or call from during a meeting. - **`third_party_audio`** `boolean` — Allow users to join the meeting using the existing 3rd party audio configuration. - **`tsp`** `object` — Account Settings: TSP. - **`call_out`** `boolean` — Call Out Countries/Regions - **`show_international_numbers_link`** `boolean` — Show international numbers link on the invitation email - **`old_object`** `object` — Information about the account's previous lock settings. - **`id`** `string` — The updated account's ID. - **`settings`** `object` — Information about the updated account or sub account settings. This only returns modified settings. - **`ai`** `object` — Lock settings for Workspace Reservation recommendations with AI. - **`ai_generated_virtual_backgrounds`** `boolean` — Whether the ai\_generated\_virtual\_backgrounds setting is locked. - **`ai_panel_in_workplace`** `object` — Lock settings for the AI panel in Zoom Workplace. - **`delete_ai_conversation`** `boolean` — Whether automatic AI conversation deletion in the AI panel is locked. - **`delete_ai_conversation_time`** `boolean` — Whether the AI panel conversation retention period is locked. - **`enabled`** `boolean` — Whether the AI panel in Zoom Workplace is locked. - **`canvas_ai_content_generation`** `boolean` — Whether the Canvas AI content generation and revision setting is locked. - **`canvas_ai_post_meeting_writing_tasks`** `boolean` — Whether the Canvas post-meeting writing task setting is locked. - **`canvas_ai_sentence_completion`** `boolean` — Whether the Canvas AI sentence completion setting is locked. - **`chat_compose`** `boolean` — Compose with AI Companion. - **`chat_summary`** `boolean` — Summarize with AI Companion. - **`enable_ai_on_web`** `boolean` — Whether Zoom AI on the web is locked. - **`enable_email_compose_with_ai`** `boolean` — Whether Zoom Mail AI compose is locked. - **`full_display_names_in_ai_assets`** `boolean` — Whether the full\_display\_names\_in\_ai\_assets setting is locked. - **`google`** `object` — Lock settings for Google data sources. - **`enable`** `boolean` — Whether Google data sources are locked. - **`hub_ai_question_and_file_creation`** `boolean` — Whether the Hub AI search and file creation setting is locked. - **`include_webinar_summary_follow_up_email`** `object` — Lock settings for including the webinar summary in follow-up email. - **`enable`** `boolean` — Whether including the webinar summary in follow-up email is locked. - **`local_file_uploads`** `boolean` — Whether Local file uploads as an AI data source are locked. - **`meeting_agenda`** `boolean` — Whether the meeting\_agenda setting is locked. - **`meeting_chat_messages`** `boolean` — Whether the meeting\_chat\_messages setting is locked. - **`meeting_coach`** `object` — Lock settings for Meeting Coach with AI. - **`enable`** `boolean` — Whether Meeting Coach with AI is locked. - **`meeting_questions`** `object` — Lock settings for meeting questions. - **`auto_enable_locked`** `boolean` — Whether automatic meeting questions are locked. - **`locked`** `boolean` — Whether meeting questions are locked. - **`who_can_ask_questions_locked`** `boolean` — Whether the meeting questions participant scope is locked. - **`meeting_summary`** `object` — Lock settings for meeting summaries. - **`auto_enable_locked`** `boolean` — Whether automatic meeting summaries are locked. - **`locked`** `boolean` — Whether meeting summaries are locked. - **`who_will_receive_summary_locked`** `boolean` — Whether the meeting summary recipient scope is locked. - **`meeting_summary_default_language`** `object` — Lock settings for the default meeting summary language. - **`enable`** `boolean` — Whether the default meeting summary language is locked. - **`meeting_summary_docs`** `object` — Lock settings for meeting summary Docs. - **`enable`** `boolean` — Whether automatic Zoom Doc creation is locked. - **`share_with_summary_recipients`** `boolean` — Whether sharing generated Zoom Docs with meeting summary recipients is locked. - **`meeting_summary_email_only_mode`** `boolean` — Whether the meeting\_summary\_email\_only\_mode setting is locked. - **`meeting_summary_ip_access`** `object` — Lock settings for meeting summary IP access. - **`enable`** `boolean` — Whether meeting summary IP access is locked. - **`meeting_summary_retention`** `object` — Lock settings for meeting summary retention. - **`enable`** `boolean` — Whether automatic meeting summary deletion is locked. - **`meeting_summary_template`** `object` — Lock settings for meeting summary templates. - **`enable`** `boolean` — Whether meeting summary templates are locked. - **`microsoft_365`** `object` — Lock settings for Microsoft 365 data sources. - **`enable`** `boolean` — Whether Microsoft 365 data sources are locked. - **`my_notes_ai_content_generation`** `boolean` — Whether the My Notes AI content generation setting is locked. - **`my_notes_meeting_transcription`** `boolean` — Whether the My Notes meeting transcription setting is locked. - **`organization_custom_dictionaries`** `boolean` — Whether allowing AI to consume the organization's custom dictionaries is locked. - **`paper_ai_content_generation`** `boolean` — Whether the Zoom Paper AI content generation and revision setting is locked. - **`participant_can_request_aic_in_meeting`** `boolean` — Whether the participant\_can\_request\_aic\_in\_meeting setting is locked. - **`phone_user_ai_notices`** `object` — Lock settings for phone user AI notices. - **`enable`** `boolean` — Whether phone user AI notices are locked. - **`remind_me_turn_on_aic`** `boolean` — Whether the remind\_me\_turn\_on\_aic setting is locked. - **`remind_me_turn_on_catch_me_up`** `boolean` — Whether the remind\_me\_turn\_on\_catch\_me\_up setting is locked. - **`restrict_aic_when_external_user_join_meeting`** `boolean` — Whether the restrict\_aic\_when\_external\_user\_join\_meeting setting is locked. - **`restrict_aic_when_restrict_user_join`** `boolean` — Whether the restrict\_aic\_when\_restrict\_user\_join setting is locked. - **`restrict_users_from_deleting_ai_companion_assets`** `boolean` — Whether the restrict\_users\_from\_deleting\_ai\_companion\_assets setting is locked. - **`restrict_users_from_editing_ai_companion_assets`** `boolean` — Whether the restrict\_users\_from\_editing\_ai\_companion\_assets setting is locked. - **`restrict_users_from_joining_ai_enabled_meetings`** `object` — Lock settings for restrictions on joining AI-enabled meetings. - **`enable`** `boolean` — Whether restrictions on joining AI-enabled meetings are locked. - **`screen_share_ocr`** `boolean` — Whether the screen\_share\_ocr setting is locked. - **`sheets_ai_content_generation`** `boolean` — Whether the Zoom Sheets AI content generation and revision setting is locked. - **`sheets_ai_formula`** `boolean` — Whether the Zoom Sheets AI Formula setting is locked. - **`sheets_ai_function`** `boolean` — Whether the Zoom Sheets AI Function setting is locked. - **`sheets_ai_resources`** `boolean` — Whether the Zoom Sheets AI Resources setting is locked. - **`show_conversational_ai_companion`** `object` — Lock settings for the conversational AI companion. - **`delete_ai_conversation`** `boolean` — Whether automatic AI conversation deletion is locked. - **`delete_ai_conversation_time`** `boolean` — Whether the AI conversation retention period is locked. - **`enable_zoom_mate`** `boolean` — Whether ZoomMate availability is locked. - **`enabled`** `boolean` — Whether conversational AI is locked. - **`slides_ai_content_generation`** `boolean` — Whether the Zoom Slides AI content generation and revision setting is locked. - **`smart_recording`** `object` — Lock settings for Smart Recording. - **`enable`** `boolean` — Whether the Smart Recording is locked. - **`task_creation_and_management`** `object` — Lock settings for task creation and management with AI. - **`enable`** `boolean` — Whether task creation and management with AI is locked. - **`third_party_app_tasks`** `boolean` — Whether allowing AI to perform tasks in third-party apps is locked. - **`third_party_meeting_join`** `object` — Lock settings for third-party meeting join with AI. - **`allow_recording`** `boolean` — Whether recording for joined third-party meetings is locked. - **`calendar`** `object` — Lock settings for calendar-based third-party meeting join. - **`enable`** `boolean` — Whether calendar-based third-party meeting join is locked. - **`enable`** `boolean` — Whether third-party meeting join with AI is locked. - **`pre_meeting_email_notification`** `object` — Lock settings for pre-meeting email notification. - **`enable`** `boolean` — Whether pre-meeting email notification is locked. - **`web_content`** `boolean` — Whether Web content as an AI data source is locked. - **`webinar_questions`** `object` — During the webinar, answers are based on speech-to-text data. If a transcript is retained, participants with access can ask questions after the webinar based on that transcript. The nested Boolean properties indicate whether the corresponding setting is locked. - **`auto_enable`** `boolean` — Whether automatically allowing access when the webinar starts is locked. - **`enable`** `boolean` — Whether allowing users to ask webinar questions with AI is locked. - **`who_can_ask_questions`** `boolean` — Who can ask questions about the webinar. The corresponding setting values are \`panelist\_all\` (Hosts and all panelists), \`panelist\_org\` (Hosts and all panelists in the organization), \`host\` (Only webinar host, co-hosts, and alternative hosts), and \`all\_participants\` (All participants). The Boolean indicates whether this setting is locked. - **`webinar_summary`** `object` — Allow hosts to generate a summary. Summaries are sent after the webinar ends based on sharing permissions. The nested Boolean properties indicate whether the corresponding setting is locked. - **`auto_enable`** `boolean` — Whether turning on webinar summary automatically when the webinar starts is locked. - **`email_notification`** `boolean` — Whether sending an email notification when sharing to participants is locked. - **`enable`** `boolean` — Whether allowing hosts to generate a summary is locked. - **`restrict_share_to_outside_of_organization`** `boolean` — Whether restricting users from sharing summaries to those outside of the organization is locked. - **`who_will_receive_summary`** `boolean` — Who will automatically receive the summary. The corresponding setting values are \`host\` (Only webinar host), \`host\_and\_panelist\_in\_organization\` (Only webinar host, co-hosts, and panelists in the organization), and \`host\_and\_panelist\_not\_in\_organization\` (Webinar host, co-hosts, and all panelists, including those outside the organization). The Boolean indicates whether this setting is locked. - **`webinar_summary_follow_up_email`** `boolean` — Whether webinar summaries are included in webinar follow-up email. Deprecated. Use \`include\_webinar\_summary\_follow\_up\_email\`. The Boolean indicates whether this setting is locked. - **`webinar_summary_ocr`** `boolean` — Whether using screen share content with OCR for webinar summaries is locked. - **`whiteboard_content_generation`** `boolean` — Whether Whiteboard content generation with AI is enabled. - **`workspace_reservation_recommendations_with_ai`** `object` — Lock settings for Workspace Reservation recommendations with AI. - **`enabled`** `boolean` — Whether Workspace Reservation recommendations with AI are locked. - **`zoom_events_chat_panel`** `boolean` — Whether the AI chat panel in Zoom Events is locked. - **`zoom_events_session_summary`** `object` — Lock settings for Zoom Events session summary. - **`auto_start`** `boolean` — Whether turning on session summary automatically when sessions start is locked. - **`enable`** `boolean` — Whether Zoom Events session summaries are locked. - **`audio_conferencing`** `object` - **`chat`** `object` - **`email_notification`** `object` - **`h323sip_conferencing`** `object` - **`in_meeting`** `object` - **`meeting_security`** `object` - **`other_options`** `object` - **`recording`** `object` - **`schedule_meeting`** `object` - **`telephony`** `object` - **`tsp`** `object` - **`operator`** `string`, format: `email` — The email address of the user who updated the account's lock settings. - **`operator_id`** `string` — The user ID of the user who updated the account's lock settings. - **`time_stamp`** `integer` — A timestamp that indicates when the lock setting was updated. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "settings": { "schedule_meeting": { "audio_type": true, "embed_password_in_join_link": true, "enforce_login": true, "enforce_login_with_domains": true, "host_video": true, "join_before_host": true, "meeting_authentication": true, "not_store_meeting_topic": false, "participant_video": true, "require_password_for_instant_meetings": true, "require_password_for_pmi_meetings": true, "require_password_for_scheduling_new_meetings": true, "use_pmi_for_instant_meetings": true, "use_pmi_for_scheduled_meetings": true, "always_display_zoom_webinar_as_topic": false, "meeting_template": false }, "in_meeting": { "alert_guest_join": true, "allow_users_to_delete_messages_in_meeting_chat": true, "allow_live_streaming": true, "allow_show_zoom_windows": true, "annotation": true, "anonymous_question_answer": true, "attention_mode_focus_mode": true, "auto_answer": true, "auto_generated_captions": true, "auto_saving_chat": true, "breakout_room": true, "chat": true, "closed_caption": true, "co_host": true, "custom_data_center_regions": true, "disable_screen_sharing_for_host_meetings": true, "disable_screen_sharing_for_in_meeting_guests": true, "dscp_marking": true, "e2e_encryption": true, "far_end_camera_control": true, "feedback": true, "file_transfer": true, "full_transcript": true, "group_hd": true, "language_interpretation": true, "sign_language_interpretation": true, "manual_captions": true, "meeting_reactions": true, "webinar_reactions": true, "meeting_survey": true, "original_audio": true, "polling": true, "post_meeting_feedback": true, "private_chat": true, "remote_control": true, "non_verbal_feedback": true, "remote_support": true, "request_permission_to_unmute_participants": true, "save_caption": true, "save_captions": true, "screen_sharing": true, "sending_default_email_invites": true, "show_meeting_control_toolbar": true, "slide_control": true, "stereo_audio": true, "use_html_format_email": true, "virtual_background": true, "webinar_chat": true, "webinar_live_streaming": true, "webinar_polling": true, "webinar_question_answer": true, "meeting_question_answer": true, "webinar_survey": true, "whiteboard": true }, "email_notification": { "alternative_host_reminder": true, "cancel_meeting_reminder": true, "cloud_recording_available_reminder": true, "jbh_reminder": true, "schedule_for_reminder": true }, "recording": { "account_user_access_recording": true, "auto_delete_cmr": true, "auto_recording": true, "cloud_recording": true, "cloud_recording_download": true, "host_delete_cloud_recording": true, "ip_address_access_control": true, "local_recording": true, "recording_authentication": true, "archive": true }, "telephony": { "telephony_regions": true, "third_party_audio": true }, "audio_conferencing": { "toll_free_and_fee_based_toll_call": true, "toll_call": true, "call_me_and_invite_by_phone": true, "personal_audio_conference": true, "participant_phone_masking": true }, "chat": { "share_files": true, "chat_emojis": true, "record_voice_messages": true, "record_video_messages": true, "screen_capture": true, "share_links_in_chat": true, "schedule_meetings_in_chat": true, "allow_users_to_add_contacts": true, "allow_users_to_chat_with_others": true, "chat_etiquette_tool": true, "send_data_to_third_party_archiving_service": true, "translate_messages": true, "search_and_send_animated_gif_images": true, "set_retention_period_in_cloud": true, "set_retention_period_in_local": true, "shared_spaces": true, "allow_create_channels_and_group_chats": true, "allow_huddles_from_channels": true, "download_file": true, "share_screen_in_chat": true, "chat_email_address": true, "read_receipts": true, "allow_delete_message": true, "allow_edit_message": true, "presence_on_meeting": true, "presence_away_when_screen_saver": true, "ai_summary": true, "ai_compose": true, "ai_recommend": true, "ai_reply": true, "ai_sentence_completion": true, "ai_quick_schedule": true, "survey_poll": true }, "other_options": { "blur_snapshot": true, "webinar_registration_options": true }, "tsp": { "call_out": true, "show_international_numbers_link": true }, "meeting_security": { "approved_or_denied_countries_or_regions": true, "auto_security": true, "block_user_domain": true, "chat_etiquette_tool": true, "embed_password_in_join_link": true, "encryption_type": true, "end_to_end_encrypted_meetings": true, "meeting_password": true, "only_authenticated_can_join_from_webclient": true, "phone_password": true, "pmi_password": true, "waiting_room": true, "webinar_password": true }, "h323sip_conferencing": { "custom_welcome_audio": { "enable": true } }, "ai": { "screen_share_ocr": true, "meeting_chat_messages": true, "full_display_names_in_ai_assets": true, "ai_generated_virtual_backgrounds": true, "meeting_agenda": true, "meeting_summary_docs": { "enable": true, "share_with_summary_recipients": false }, "phone_user_ai_notices": { "enable": true }, "meeting_summary_retention": { "enable": true }, "meeting_coach": { "enable": true }, "third_party_meeting_join": { "enable": true, "allow_recording": true, "calendar": { "enable": true }, "pre_meeting_email_notification": { "enable": true } }, "whiteboard_content_generation": true, "smart_recording": { "enable": true }, "task_creation_and_management": { "enable": true }, "show_conversational_ai_companion": { "enabled": true, "enable_zoom_mate": true, "delete_ai_conversation": true, "delete_ai_conversation_time": true }, "ai_panel_in_workplace": { "enabled": true, "delete_ai_conversation": true, "delete_ai_conversation_time": true }, "enable_ai_on_web": true, "enable_email_compose_with_ai": true, "microsoft_365": { "enable": true }, "google": { "enable": true }, "web_content": true, "local_file_uploads": true, "organization_custom_dictionaries": true, "third_party_app_tasks": true, "workspace_reservation_recommendations_with_ai": { "enabled": true }, "participant_can_request_aic_in_meeting": false, "restrict_aic_when_external_user_join_meeting": false, "restrict_aic_when_restrict_user_join": false, "restrict_users_from_joining_ai_enabled_meetings": { "enable": false }, "meeting_questions": { "locked": false, "auto_enable_locked": false, "who_can_ask_questions_locked": false }, "meeting_summary": { "locked": false, "auto_enable_locked": false, "who_will_receive_summary_locked": false }, "meeting_summary_template": { "enable": false }, "meeting_summary_default_language": { "enable": false }, "meeting_summary_ip_access": { "enable": false }, "remind_me_turn_on_aic": false, "remind_me_turn_on_catch_me_up": false, "meeting_summary_email_only_mode": false, "restrict_users_from_deleting_ai_companion_assets": false, "restrict_users_from_editing_ai_companion_assets": false, "webinar_summary_ocr": false, "zoom_events_session_summary": { "enable": false, "auto_start": false }, "zoom_events_chat_panel": false, "chat_summary": true, "chat_compose": true, "hub_ai_question_and_file_creation": true, "canvas_ai_content_generation": true, "canvas_ai_sentence_completion": true, "canvas_ai_post_meeting_writing_tasks": true, "paper_ai_content_generation": true, "sheets_ai_content_generation": true, "sheets_ai_formula": true, "sheets_ai_function": true, "sheets_ai_resources": true, "slides_ai_content_generation": true, "my_notes_meeting_transcription": true, "my_notes_ai_content_generation": true, "include_webinar_summary_follow_up_email": { "enable": false }, "webinar_summary": { "enable": false, "auto_enable": false, "email_notification": false, "restrict_share_to_outside_of_organization": false, "who_will_receive_summary": false }, "webinar_questions": { "enable": false, "auto_enable": false, "who_can_ask_questions": false } } } }, "time_stamp": 1, "old_object": { "id": "", "settings": { "schedule_meeting": null, "in_meeting": null, "email_notification": null, "recording": null, "telephony": null, "other_options": null, "audio_conferencing": null, "chat": null, "meeting_security": null, "tsp": null, "h323sip_conferencing": null, "ai": { "screen_share_ocr": true, "meeting_chat_messages": true, "full_display_names_in_ai_assets": true, "ai_generated_virtual_backgrounds": true, "meeting_agenda": true, "meeting_summary_docs": { "enable": true, "share_with_summary_recipients": false }, "phone_user_ai_notices": { "enable": true }, "meeting_summary_retention": { "enable": true }, "meeting_coach": { "enable": true }, "third_party_meeting_join": { "enable": true, "allow_recording": true, "calendar": { "enable": true }, "pre_meeting_email_notification": { "enable": true } }, "whiteboard_content_generation": true, "smart_recording": { "enable": true }, "task_creation_and_management": { "enable": true }, "show_conversational_ai_companion": { "enabled": true, "enable_zoom_mate": true, "delete_ai_conversation": true, "delete_ai_conversation_time": true }, "ai_panel_in_workplace": { "enabled": true, "delete_ai_conversation": true, "delete_ai_conversation_time": true }, "enable_ai_on_web": true, "enable_email_compose_with_ai": true, "microsoft_365": { "enable": true }, "google": { "enable": true }, "web_content": true, "local_file_uploads": true, "organization_custom_dictionaries": true, "third_party_app_tasks": true, "workspace_reservation_recommendations_with_ai": { "enabled": true }, "participant_can_request_aic_in_meeting": false, "restrict_aic_when_external_user_join_meeting": false, "restrict_aic_when_restrict_user_join": false, "restrict_users_from_joining_ai_enabled_meetings": { "enable": false }, "meeting_questions": { "locked": false, "auto_enable_locked": false, "who_can_ask_questions_locked": false }, "meeting_summary": { "locked": false, "auto_enable_locked": false, "who_will_receive_summary_locked": false }, "meeting_summary_template": { "enable": false }, "meeting_summary_default_language": { "enable": false }, "meeting_summary_ip_access": { "enable": false }, "remind_me_turn_on_aic": false, "remind_me_turn_on_catch_me_up": false, "meeting_summary_email_only_mode": false, "restrict_users_from_deleting_ai_companion_assets": false, "restrict_users_from_editing_ai_companion_assets": false, "webinar_summary_ocr": false, "zoom_events_session_summary": { "enable": false, "auto_start": false }, "zoom_events_chat_panel": false, "chat_summary": true, "chat_compose": true, "hub_ai_question_and_file_creation": true, "canvas_ai_content_generation": true, "canvas_ai_sentence_completion": true, "canvas_ai_post_meeting_writing_tasks": true, "paper_ai_content_generation": true, "sheets_ai_content_generation": true, "sheets_ai_formula": true, "sheets_ai_function": true, "sheets_ai_resources": true, "slides_ai_content_generation": true, "my_notes_meeting_transcription": true, "my_notes_ai_content_generation": true, "include_webinar_summary_follow_up_email": { "enable": false }, "webinar_summary": { "enable": false, "auto_enable": false, "email_notification": false, "restrict_share_to_outside_of_organization": false, "who_will_receive_summary": false }, "webinar_questions": { "enable": false, "auto_enable": false, "who_can_ask_questions": false } } } } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### account.disassociated - **Method:** `POST` - **Path:** `account.disassociated` - **Tags:** Accounts The **Sub Account has been disassociated** event is triggered every time a sub account is [disassociated](/api-reference/zoom-api/ma#operation/accountDisassociate) from a Master account. An administrator or Zoom account owner can disassociate a sub account from their Master account. To do this in the [Zoom Web Portal](https://zoom.us), click the **Disassociate** button next to the sub account in the [**Account List**](https://zoomdev.us/account/sub/list) interface. To programmatically disassociate a sub account, use the [**Disassociate a sub account**](/api-reference/zoom-api/ma#operation/accountDisassociate) API. The Master account owner must be you or a user of your [webhook-enabled](https://marketplace.zoom.us/docs/api-reference/webhook-reference#enable-webhooks) app. ## Prerequisites - A Pro or higher [plan](https://zoom.us/pricing) with the **Master account** option enabled. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL**. - The **Sub Account has been disassociated** subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_ts`** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The account ID under which the account was \[disassociated]\(https\://support.zoom.us/hc/en-us/articles/115005269946-Removing-a-user-from-your-account#h\_98a81098-0ca3-45ae-8d00-aab235cc781d). - **`object`** `object` — Information about the disassociated account. - **`id`** `string` — The account's ID. - **`owner_email`** `string`, format: `email` — The account owner's email address. - **`owner_id`** `string` — The account owner's ID. - **`operator`** `string`, format: `email` — The email address of the user who disassociated the account. - **`operator_id`** `string` — The user ID of the user who disassociated the account. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "owner_id": "", "owner_email": "" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### information\_barriers.policy\_updated - **Method:** `POST` - **Path:** `information_barriers.policy_updated` - **Tags:** Information Barriers The **Information barriers policy has been updated** event is triggered when using an API or web page to update an [information barrier](https://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers). As an account owner or admin can update information barrier policies. Update an information barrier policy either by using the Update an information barriers policy API, or by logging into the [Zoom Web Portal](https://zoom.us) and navigating to the [**information barrier**](https://zoom.us/account/information_barriers) page. ## Prerequisites - To enable information barriers for yout account, [contact Zoom Support](https://support.zoom.us/hc/en-us/articles/201362003). #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the policy. - **`object` (required)** `object` — The diff of the \[Information Barrier]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers) policy and its information. - **`assigned_group_id` (required)** `string` — The assigner group's (Group 1) ID. - **`policy_name` (required)** `string` — The Information Barriers policy's name. - **`settings` (required)** `object` — The Information Barriers policy's settings. \* If the \`meeting\` setting is \`true\`, then a \[hard block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists between both groups. \* If the \`meeting\` setting is \`false\` but the \`screen\_share\`, \`file\_transfer\`, \`in\_meeting\_chat\`, \`im\`, and/or \`recording\` settings are \`true\`, then a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists between both groups. - **`complete_phone_calls` (required)** `boolean` — If true, users between groups \*\*cannot\*\* call each other. - **`file_transfer` (required)** `boolean` — If true, users between groups \*\*cannot\*\* transfer files in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`im` (required)** `boolean` — If true, users between groups \*\*cannot\*\* IM chat. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`in_meeting_chat` (required)** `boolean` — If true, users between groups \*\*cannot\*\* use chat in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`meeting` (required)** `boolean` — If true, the users between groups \*\*cannot\*\* meet. This also creates a \[hard block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups. - **`message_via_sms` (required)** `boolean` — If true, users between groups \*\*cannot\*\* user SMS. - **`recording` (required)** `boolean` — If true, users between groups \*\*cannot\*\* record the meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. This feature is only available for Zoom Client v5.6.0 and higher. - **`screen_share` (required)** `boolean` — If true, users between groups \*\*cannot\*\* share screens in a meeting. This also creates a \[soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) between both groups if the \`meeting\` value is \`false\`. - **`status` (required)** `integer`, possible values: `0, 1` — The Information Barriers policy's status: \* \`0\` — Disabled. \* \`1\` — Enabled. - **`to_group_id` (required)** `string` — The assignee group's (Group 2) ID. - **`type` (required)** `integer`, possible values: `0, 1, 2, 3`, default: `0` — The Information Barriers policy's type of \`settings\` restrictions: \* \`0\` — A \[hard or soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists, but users in Group 1 and Group 2 can chat with each other. \* \`1\` — A \[hard or soft block]\(https\://support.zoom.us/hc/en-us/articles/360040913711-Information-Barriers#h\_a603c6f7-05c8-4de5-b4b6-91982d748b34) exists and only users in Group 1 can chat with users in Group 2. \* \`2\` — No blocks exist, but only users in Group 1 can chat with users in Group 2. \* \`3\` — No blocks exist and users in Group 1 and Group 2 can chat with each other. This field only supports \`0\`. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "assigned_group_id": "", "policy_name": "", "settings": { "complete_phone_calls": true, "file_transfer": true, "im": true, "in_meeting_chat": true, "meeting": true, "message_via_sms": true, "recording": true, "screen_share": true }, "status": 1, "to_group_id": "mjLMOSAERBaakF8kSDWB7g", "type": 1 } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### account.vanity\_url\_approved - **Method:** `POST` - **Path:** `account.vanity_url_approved` - **Tags:** Accounts The **Account's vanity url approved** event is triggered each time an account or sub account's [vanity URL](https://support.zoom.us/hc/en-us/articles/215062646) is approved. ## Prerequisites - A Pro or higher [plan](https://zoom.us/pricing) with the **Master account** option enabled. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL** - The **Account's vanity url approved** subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the account's owner. - **`object` (required)** `object` — Information about the account's approved vanity URL. - **`id` (required)** `string` — The account's ID. - **`vanity_url` (required)** `string` — The approved \[vanity URL]\(https\://support.zoom.us/hc/en-us/articles/215062646-Guidelines-for-Vanity-URL-requests). - **`operator` (required)** `string`, format: `email` — The email address of the user who approved the account's vanity URL. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "object": { "id": "", "vanity_url": "" } } } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ### account.settings\_updated - **Method:** `POST` - **Path:** `account.settings_updated` - **Tags:** Accounts Zoom triggers this event when an account or a sub account's [settings](https://zoom.us/account/setting) are updated. The account must belong either to you or a user of your [webhook-enabled](https://marketplace.zoom.us/docs/api-reference/webhook-reference#enable-webhooks) app. ## Prerequisites - A Pro or higher plan. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL** - The "**Account/Sub Account's setting has been updated**" subscription enabled under the **Account** event. #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_ts`** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The account ID of the account's owner. - **`object`** `object` — Information about the updated fields. - **`id`** `string` — The updated account's ID. - **`settings`** `object` — Information about the account's updated settings. - **`ai`** `object` — Workspace Reservation recommendations with AI. - **`ai_generated_virtual_backgrounds`** `boolean` — Whether AI-generated virtual backgrounds are enabled. - **`ai_panel_in_workplace`** `object` — AI panel in Zoom Workplace settings. - **`delete_ai_conversation`** `boolean` — Whether to automatically delete AI conversation history in the AI panel. - **`delete_ai_conversation_time`** `integer | null`, possible values: `30, 60, 90, 120` — The number of days after which AI conversation history in the AI panel is automatically deleted. Supported values are 30, 60, 90, and 120. - **`enabled`** `boolean` — Whether the AI panel in Zoom Workplace is enabled. - **`canvas_ai_content_generation`** `boolean` — Whether users can use AI to generate and revise content in Canvas. Meeting transcripts from meeting summaries will be shown to hosts and can be used to create document content. - **`canvas_ai_post_meeting_writing_tasks`** `boolean` — Whether AI can identify post-meeting writing tasks from meeting context and generate drafts that users can review and use. - **`canvas_ai_sentence_completion`** `boolean` — Whether users can receive predictive writing suggestions while writing in Canvas. - **`chat_compose`** `object` — Allow users to use AI to help them compose a response from scratch or wordsmith their chat messages. - **`enable`** `boolean` — Compose with AI Companion - **`shown_in_team_chat`** `boolean` — Show in Team Chat - **`chat_summary`** `object` — Allow users to summarize chats, channels, and shared documents. - **`enable`** `boolean` — Summarize with AI Companion - **`shown_in_team_chat`** `boolean` — Show in Team Chat - **`enable_ai_on_web`** `boolean` — Whether Zoom AI on the web is enabled. - **`enable_email_compose_with_ai`** `boolean` — Whether users can use AI to compose or wordsmith email responses in Zoom Mail. - **`full_display_names_in_ai_assets`** `boolean` — Whether AI-generated meeting assets use full display names. - **`google`** `object` — Settings for Google data sources. - **`calendar_events`** `boolean` — Whether Google Calendar events accessible to the user can be used as a data source for AI. - **`documents`** `boolean` — Whether Google Drive documents accessible to the user can be used as a data source for AI. - **`emails`** `boolean` — Whether Gmail emails accessible to the user can be used as a data source for AI. - **`enable`** `boolean` — Whether Google data sources can be used as data sources for AI. - **`hub_ai_question_and_file_creation`** `boolean` — Whether users can ask AI questions about file content and create new files, such as Canvas, Slides, Sheets, Paper, or data tables, from the Hub Home page. Creating files requires AI to be enabled in each product's settings. - **`include_webinar_summary_follow_up_email`** `object` — Webinar follow-up email. When enabled, the host can include the webinar summary in follow-up emails. - **`absentee_follow_up_email`** `boolean` — Whether the webinar summary is included in the absentee follow-up email. - **`attendee_follow_up_email`** `boolean` — Whether the webinar summary is included in the attendee follow-up email. - **`enable`** `boolean` — Whether the host can include the webinar summary in follow-up email. - **`local_file_uploads`** `boolean` — Whether files uploaded by users can be used as a data source for AI by the users who uploaded them. - **`meeting_agenda`** `boolean` — Whether Meeting Agenda with AI is enabled. - **`meeting_chat_messages`** `boolean` — Whether meeting chat messages are used to enhance transcripts. - **`meeting_coach`** `object` — Meeting Coach with AI. - **`enable`** `boolean` — Whether Meeting Coach with AI is enabled. - **`participant_scope`** `string`, possible values: `"all_participants_and_invitees", "participants_and_invitees_in_our_organization"` — Which participants Meeting Coach applies to. - **`meeting_questions`** `object` — Allow users to ask questions in a meeting with AI. Answers are based on what is said in the meeting. - **`auto_enable`** `boolean` — Automatically start meeting questions when the meeting starts. - **`enable`** `boolean` — Whether users can ask questions in a meeting with AI. - **`who_can_ask_questions`** `string`, possible values: `"from_entire_meeting", "from_join_meeting", "host", "org", "org_from_join_meeting"` — Participants allowed to ask meeting questions. Valid values: \`from\_entire\_meeting\` (all participants and invitees), \`from\_join\_meeting\` (all participants from when they join), \`host\` (only the meeting host), \`org\` (participants and invitees in the organization), \`org\_from\_join\_meeting\` (organization participants from when they join). - **`meeting_summary`** `object` — Allow hosts to generate a summary. Summaries are sent based on sharing permissions after the meeting ends. - **`auto_enable`** `boolean` — Auto-start the meeting summary when the meeting starts. - **`email_notification`** `boolean` — Send an email notification when sharing a meeting summary with participants. - **`enable`** `boolean` — Whether hosts can generate a meeting summary. - **`restrict_share_to_outside_of_organization`** `boolean` — Restrict users from sharing meeting summaries with people outside the organization. - **`restrict_summary_share`** `string`, possible values: `"external_users", "all_users", "all_users_except_delegate"` — Audience restricted from sharing meeting summaries. Valid values: \`external\_users\` (users outside the organization), \`all\_users\` (all users), \`all\_users\_except\_delegate\` (all users except delegates). - **`whether_include_full_text_in_email`** `string`, possible values: `"include_full_text_in_email", "not_include_full_text_in_email"` — Whether the meeting summary email includes summary text. Valid values: \`include\_full\_text\_in\_email\` (include the summary text), \`not\_include\_full\_text\_in\_email\` (do not include the summary text). - **`who_will_receive_summary`** `string`, possible values: `"host", "alt_host", "organization", "all", "host_and_panelist_in_organization", "host_and_panelist_not_in_organization", "host_and_speakers", "do_not_share"` — Recipients for automatically shared meeting summaries. Valid values: \`host\` (only the meeting host), \`alt\_host\` (meeting host, co-hosts, and alternative hosts), \`organization\` (meeting host and invitees in the organization), \`all\` (all meeting invitees, including external invitees), \`host\_and\_panelist\_in\_organization\` (meeting host and participants in the organization), \`host\_and\_panelist\_not\_in\_organization\` (meeting host and all participants, including external participants), \`host\_and\_speakers\` (meeting host and speakers), \`do\_not\_share\` (do not share a summary). - **`meeting_summary_default_language`** `object` — Set the default language for meeting summaries. - **`enable`** `boolean` — Whether meeting summaries automatically use the selected default language. - **`language`** `string` — Language that meeting summaries automatically use when the default-language setting is enabled. Supported values: \`ar\` (Arabic), \`bn\` (Bengali), \`zh\` (Chinese (Simplified)), \`zh-hant\` (Chinese (Traditional)), \`cs\` (Czech), \`da\` (Danish), \`nl\` (Dutch), \`en\` (English), \`et\` (Estonian), \`fi\` (Finnish), \`fr\` (French), \`de\` (German), \`hi\` (Hindi), \`hu\` (Hungarian), \`id\` (Indonesian), \`it\` (Italian), \`ja\` (Japanese), \`ko\` (Korean), \`ms\` (Malay), \`fa\` (Persian), \`pl\` (Polish), \`pt\` (Portuguese), \`ro\` (Romanian), \`ru\` (Russian), \`es\` (Spanish), \`sv\` (Swedish), \`tl\` (Tagalog), \`ta\` (Tamil), \`te\` (Telugu), \`th\` (Thai), \`tr\` (Turkish), \`uk\` (Ukrainian), \`vi\` (Vietnamese). - **`meeting_summary_docs`** `object` — Automatic Zoom Doc creation from meeting summary. - **`enable`** `boolean` — Whether automatic Zoom Doc creation is enabled. - **`share_with_summary_recipients`** `boolean` — Whether generated Zoom Docs are shared with meeting summary recipients. - **`meeting_summary_email_only_mode`** `boolean` — Only share meeting summaries by email. Users cannot view or edit summaries in the Zoom client or web portal because the meeting summary is not retained. - **`meeting_summary_ip_access`** `object` — Allow meeting summary access only from specific IP address ranges. - **`enable`** `boolean` — Whether access to meeting summaries is restricted to specified IP address ranges. - **`ip_addresses_or_ranges`** `string` — IP addresses or ranges from which meeting summaries can be accessed. - **`meeting_summary_personal_data_redaction`** `object` — Personal data redaction for meeting summaries. - **`enable`** `boolean` — Whether personal data redaction is enabled. - **`personal_data_types`** `array` — Personal data types to redact. **Items:** `string`, possible values: `"ADDRESS", "AGE", "CREDIT_DEBIT_CVV", "CREDIT_DEBIT_EXPIRY", "CREDIT_DEBIT_NUMBER", "DATE_TIME", "DRIVER_ID", "EMAIL", "INTERNATIONAL_BANK_ACCOUNT_NUMBER", "IP_ADDRESS", "LICENSE_PLATE", "MAC_ADDRESS", "NAME", "PASSWORD", "PHONE", "PIN", "SWIFT_CODE", "URL", "USERNAME", "VEHICLE_IDENTIFICATION_NUMBER", "BANK_ACCOUNT_NUMBER", "BANK_ROUTING", "PASSPORT_NUMBER", "US_INDIVIDUAL_TAX_IDENTIFICATION_NUMBER", "SSN"` - **`meeting_summary_retention`** `object` — Automatic meeting summary deletion. - **`enable`** `boolean` — Whether automatic meeting summary deletion is enabled. - **`retention_days`** `integer` — Number of days to retain meeting summaries before deletion. - **`meeting_summary_sensitive_data_filter`** `object` — Sensitive data filter for meeting summaries. - **`enable`** `boolean` — Whether the sensitive data filter is enabled. - **`rules`** `array` — Sensitive data filter rules. **Items:** - **`name`** `string` — Rule display name. - **`regular_expression`** `string` — RE2J regular expression. - **`meeting_summary_template`** `object` — Allow users to select a meeting summary template for their meetings. The summary is generated using the selected template. - **`enable`** `boolean` — Whether users can select a meeting summary template for their meetings. - **`summary_template_id`** `string` — ID of the default meeting summary template used to generate meeting summaries. - **`microsoft_365`** `object` — Settings for Microsoft 365 data sources. - **`calendar_events`** `boolean` — Whether Microsoft Outlook calendar events accessible to the user can be used as a data source for AI. - **`documents`** `boolean` — Whether Office 365 documents accessible to the user can be used as a data source for AI. - **`emails`** `boolean` — Whether Microsoft Outlook emails accessible to the user can be used as a data source for AI. - **`enable`** `boolean` — Whether Microsoft 365 data sources can be used as data sources for AI. - **`my_notes_ai_content_generation`** `object` — My Notes AI content generation settings. - **`auto_generate_summary`** `boolean` — Whether My Notes automatically generates a summary when a note is completed. - **`auto_send_summary_email`** `boolean` — Whether My Notes automatically sends a summary email when a note summary is generated. - **`enable`** `boolean` — Whether users can use AI to generate content in My Notes and enrich their writing with the meeting transcript. - **`my_notes_meeting_transcription`** `boolean` — Whether users can transcribe their meetings with My Notes. - **`organization_custom_dictionaries`** `boolean` — Whether AI can consume the organization's custom dictionaries. - **`paper_ai_content_generation`** `boolean` — Whether users can use AI to generate and revise content in Zoom Paper. Meeting transcripts from meeting summaries will be shown to hosts and can be used to create documents. - **`participant_can_request_aic_in_meeting`** `boolean` — Allow participants to request AI Companion in a meeting. - **`phone_user_ai_notices`** `object` — Phone user AI notices. - **`enable`** `boolean` — Whether phone user AI notices are enabled. - **`multiple_notifications`** `boolean` — Whether multiple notifications are allowed. - **`require_press_1_consent`** `boolean` — Whether callers must press 1 to consent. - **`remind_me_turn_on_aic`** `boolean` — Remind hosts to turn on Zoom AI at the beginning of a meeting when AI features are not configured to auto-start. - **`remind_me_turn_on_catch_me_up`** `boolean` — When joining a meeting late, prompt the user to use Zoom AI to summarize what has been discussed so far. - **`restrict_aic_when_external_user_join_meeting`** `boolean` — Restrict AI Companion when an external user joins a meeting. - **`restrict_users_from_deleting_ai_companion_assets`** `boolean` — Restrict users from deleting meeting assets generated by AI. When enabled, only admins can delete those assets. - **`restrict_us
[...]
